// importing libraries 
import React from 'react';
import ReactDOM from 'react-dom';
import { loadData } from './loadData';
import { CountryMap } from './countryMap';
// giving width and height to the map
const width = 2000;
const height = 600;
// loading data
const App = () => {
  const data = loadData();

  if (!data) {
    return <pre>Loading data...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <CountryMap data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
